Skip to main content
`Ctrl`+`K`
scipy.sparse.

# load_npz

scipy.sparse.load_npz(file)

  Load a sparse array/matrix from a file using `.npz` format.

  Parameters:
    file str or file-like object

      Either the file name (string) or an open file (file-like object) where the data will be loaded.

  Returns:
    result csc_array, csr_array, bsr_array, dia_array or coo_array

      A sparse array/matrix containing the loaded data.

  Raises:
    OSError

      If the input file does not exist or cannot be read.

  See also

  `scipy.sparse.save_npz`

    Save a sparse array/matrix to a file using `.npz` format.

  `numpy.load`

    Load several arrays from a `.npz` archive.

  Examples

  Store sparse array/matrix to disk, and load it again:

      >>> import numpy as np
      >>> import scipy as sp
      >>> sparse_array = sp.sparse.csc_array([[0, 0, 3], [4, 0, 0]])
      >>> sparse_array
      <Compressed Sparse Column sparse array of dtype 'int64'
          with 2 stored elements and shape (2, 3)>
      >>> sparse_array.toarray()
      array([[0, 0, 3],
             [4, 0, 0]], dtype=int64)

      >>> sp.sparse.save_npz('/tmp/sparse_array.npz', sparse_array)
      >>> sparse_array = sp.sparse.load_npz('/tmp/sparse_array.npz')

      >>> sparse_array
      <Compressed Sparse Column sparse array of dtype 'int64'
          with 2 stored elements and shape (2, 3)>
      >>> sparse_array.toarray()
      array([[0, 0, 3],
             [4, 0, 0]], dtype=int64)

  In this example we force the result to be csr_array from csr_matrix >>> sparse_matrix = sp.sparse.csc_matrix([[0, 0, 3], [4, 0, 0]]) >>> sp.sparse.save_npz(‘/tmp/sparse_matrix.npz’, sparse_matrix) >>> tmp = sp.sparse.load_npz(‘/tmp/sparse_matrix.npz’) >>> sparse_array = sp.sparse.csr_array(tmp)